System.Data 2.0.0.0 System.Object To be added.

Specifies and retrieves metadata information from parameters and columns of objects. This class cannot be inherited.

- Constructor
  To be added.

  Only the following are allowed to be passed to the constructor as : Bit, BigInt, DateTime, Decimal, Float, Int, Money, Numeric, SmallDateTime, SmallInt, SmallMoney, TimeStamp, TinyInt, UniqueIdentifier, Xml.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Maximum length

  Precision

  Scale

  Locale

  Compare options

  Bit

  1

  1

  0

  0

  None

  BigInt

  8

  19

  0

  0

  None

  DateTime

  8

  23

  3

  0

  None

  Decimal

  9

  18

  0

  0

  None

  Float

  8

  53

  0

  0

  None

  Int

  4

  10

  0

  0

  None

  Money

  8

  19

  4

  0

  None

  Numeric

  9

  18

  0

  0

  None

  SmallDateTime

  4

  16

  0

  0

  None

  SmallInt

  2

  5

  0

  0

  None

  SmallMoney

  4

  10

  4

  0

  None

  TimeStamp

  8

  0

  0

  0

  None

  TinyInt

  1

  3

  0

  0

  None

  UniqueIdentifier

  16

  0

  0

  0

  None

  Xml

  Max (-1)

  0

  0

  0

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Initializes a new instance of the class with the specified column name and type.

  The name of the column.
  2.0.0.0
- Constructor
  To be added.

  Only the following are allowed to be passed to the constructor as : Binary, Char, Image, NChar, Ntext, NVarChar, Text, VarBinary, VarChar.

  Only a specification of , or -1 is allowed for a of Text, NText, or Image.

  For a of Varchar, Nvarchar, or VarBinary, a length specification of , or -1, declares the metadata as varchar(max), nvarchar(max), or nvarbinary(max), respectively.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Precision

  Scale

  Locale

  Compare options

  Binary

  0

  0

  0

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Char

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Image

  0

  0

  0

  None

  NChar

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  NText

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  NVarChar

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Text

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  VarBinary

  0

  0

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  VarChar

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Initializes a new instance of the class with the specified column name, type, and maximum length.

  The name of the column.
  The maximum length of the specified type.
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Only the following SqlDbType is allowed to be passed to the constructor as : UDT.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Maximum length

  Precision

  Scale

  Locale

  Compare options

  UDT

  <Max length of the type> or -1

  0

  0

  0

  None

  Initializes a new instance of the class with the specified column name, type, and user-defined type (UDT).

  The name of the column.
  A instance that points to the UDT.
- Constructor
  To be added.

  Only the following SqlDbType is allowed to be passed to the constructor as : Decimal.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Maximum length

  Precision

  Scale

  Locale

  Compare options

  Decimal

  9

  18

  0

  0

  None

  Initializes a new instance of the class with the specified column name, type, precision, and scale.

  The name of the parameter or column.
  The precision of the parameter or column.
  The scale of the parameter or column.
  2.0.0.0
- Constructor
  To be added.

  Only the following are allowed to be passed to the constructor as : Char, NChar, Ntext, NVarChar, Text, VarChar.

  Only a specification of , or -1, is allowed for a of Text or NText.

  For a of Varchar or Nvarchar, a length specification of , or -1, declares the metadata as varchar(max) and nvarchar(max), respectively.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Precision

  Scale

  Char

  0

  0

  NChar

  0

  0

  NText

  0

  0

  NVarChar

  0

  0

  Text

  0

  0

  VarChar

  0

  0

  Initializes a new instance of the class with the specified column name, type, maximum length, locale, and compare options.

  The name of the parameter or column.
  The maximum length of the specified type.
  The locale ID of the parameter or column.
  The comparison rules of the parameter or column.
  2.0.0.0
- Constructor
  2.0.0.0
  To be added.

  Only the following SqlDbType is allowed to be passed to the constructor as : Xml.

  The following are the default values assigned to , depending on the SqlDbType:

  SqlDbType

  Maximum length

  Precision

  Scale

  Locale

  Compare options

  Xml

  Max (-1)

  0

  0

  0

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Initializes a new instance of the class with the specified column name, type, database name, owning schema, and object name.

  The name of the column.
  The database name of the XML schema collection of a typed XML instance.
  The relational schema name of the XML schema collection of a typed XML instance.
  The name of the XML schema collection of a typed XML instance.
- Constructor
  2.0.0.0
  To be added.
  To be added.

  Only the following are allowed to be passed to the constructor as : BigInt, Bit, BitInt, DateTime, Decimal, Float, Image, Int, Money, Ntext, Numeric, Real, SmallDateTime, SmallInt, SmallMoney, Text, TimeStamp, TinyInt, UniqueIdentifier, Variant, Xml.

  The following are the default values assigned to , depending on the SqlDbType (the , , , and properties are set to null):

  SqlDbType

  Maximum length

  Precision

  Scale

  Locale

  Compare options

  BigInt

  8

  19

  0

  0

  None

  Bit

  1

  1

  0

  0

  None

  DateTime

  8

  23

  3

  0

  None

  Decimal

  9

  18

  0

  0

  None

  Float

  8

  53

  0

  0

  None

  Image

  Max (-1)

  0

  0

  0

  None

  Int

  4

  10

  0

  0

  None

  Money

  8

  19

  4

  0

  None

  Ntext

  Max (-1)

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Real

  4

  24

  0

  0

  None

  Row

  <number of columns>

  0

  0

  0

  None

  SmallDateTime

  4

  16

  0

  0

  None

  SmallInt

  2

  5

  0

  0

  None

  SmallMoney

  4

  10

  4

  0

  None

  Text

  Max (-1)

  0

  0

  <thread>

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  TimeStamp

  8

  0

  0

  0

  None

  TinyInt

  1

  3

  0

  0

  None

  UniqueIdentifier

  16

  0

  0

  0

  None

  UDT

  <Max length of the type> or -1

  0

  0

  0

  None

  Variant

  8016

  0

  0

  0

  None

  Xml

  Max (-1)

  0

  0

  0

  IgnoreCase, IgnoreKanaType, IgnoreWidth

  Initializes a new instance of the class with the specified column name, type, maximum length, precision, scale, locale ID, compare options, and user-defined type (UDT).

  The name of the column.
  The maximum length of the specified type.
  The precision of the parameter or column.
  The scale of the parameter or column.
  The comparison rules of the parameter or column.
  A instance that points to the UDT.
- Method
  System.Boolean `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Byte `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Byte[] `` To be added.

  Validates the specified array of values against the metadata, and adjusts the value if necessary.

  The adjusted value as an array of values.

  The value to validate against the instance. 2.0.0.0
- Method
  System.Char `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Char[] `` To be added.

  Validates the specified array of values against the metadata, and adjusts the value if necessary.

  The adjusted value as an array values.

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBinary `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBoolean `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlByte `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlBytes `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlChars `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDateTime `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDecimal `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlDouble `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlGuid `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt16 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt32 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlInt64 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlMoney `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlSingle `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Data.SqlTypes.SqlString `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.DateTime `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Decimal `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Double `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Guid `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Int16 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Int32 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Int64 `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Object `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.Single `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Method
  System.String `` To be added.

  Validates the specified value against the metadata, and adjusts the value if necessary.

  The adjusted value as a .

  The value to validate against the instance. 2.0.0.0
- Property
  System.Data.SqlTypes.SqlCompareOptions To be added. To be added.

  Gets the comparison rules used for the column or parameter.

  2.0.0.0
- Property
  System.Data.DbType To be added.

  The default type is .String.

  Gets the data type of the column or parameter.

  2.0.0.0
- Method
  Microsoft.SqlServer.Server.SqlMetaData `` `` To be added.

  Infers the metadata from the specified object and returns it as a instance.

  The inferred metadata as a instance.

  The object used from which the metadata is inferred. The name assigned to the returned instance. 2.0.0.0
- Property
  System.Int64 To be added.

  The default value is the current locale of the current thread for string-valued SqlDbTypes, and 0 for SqlDbTypes that do not support collation.

  Returns 0 if the collation of the underlying column type is not defined.

  Gets the locale ID of the column or parameter.

  2.0.0.0
- Property
  2.0.0.0
  System.Int64 To be added.

  The default value is -1.

  Gets the length of text, ntext, and image data types.

- Property
  System.Int64 To be added.

  The potential maximum length for values of the specified column. Returns 0 for types other than fixed and varying length character and binary types. For variable size columns or parameters declared with the constructor parameter, it returns -1.

  For .Row this returns the number of columns in the row metadata instance.

  The default value is 0.

  Gets the maximum length of the column or parameter.

  2.0.0.0
- Property
  System.String To be added. To be added.

  Gets the name of the column or parameter.

  2.0.0.0
- Property
  System.Byte To be added.

  Returns 0 if the precision of the underlying column type is not defined.

  Gets the precision of the column or parameter.

  2.0.0.0
- Property
  System.Byte To be added.

  Returns 0 if the scale of the underlying column type is not defined.

  Gets the scale of the column or parameter.

  2.0.0.0
- Property
  System.Data.SqlDbType To be added.

  The default value is NVarChar.

  Gets the data type of the column or parameter.

  2.0.0.0
- Property
  System.String To be added.

  The default value is null.

  Gets the three-part name of the user-defined type (UDT) or the SQL Server type represented by the instance.

  2.0.0.0
- Property
  2.0.0.0
  System.String To be added.

  The default value is null.

  This property may be null if the collection is defined within the current database. It is also null if there is no schema collection, in which case and are also null.

  Gets the name of the database where the schema collection for this XML instance is located.

- Property
  2.0.0.0
  System.String To be added.

  The default value is null.

  This value is null if there is no associated schema collection. If the value is null, then and are also null.

  Gets the name of the schema collection for this XML instance.

- Property
  2.0.0.0
  System.String To be added.

  The default value is null.

  This value may be null if the collection is defined within the current database and default schema. It is also null if there is no schema collection, in which case and are also null.

  Gets the owning relational schema where the schema collection for this XML instance is located.